twitter4j.auth

## Interface Authorization

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  BasicAuthorization, NullAuthorization, OAuth2Authorization, OAuthAuthorization, XAuthAuthorization

    public interface Authorization
    extends Serializable

An interface represents credentials.

Author:
  Yusuke Yamamoto - yusuke at mac.com

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getAuthorizationHeader(HttpRequest req)`
`boolean` `isEnabled()` Returns true if authorization credentials are set.

### Method Detail

#### getAuthorizationHeader

    String getAuthorizationHeader(HttpRequest req)

#### isEnabled

    boolean isEnabled()

Returns true if authorization credentials are set.

Returns:
  true if authorization credentials are set